EdOfTheMountai1
Contributor
Contributor

[vmware-cmd fault RestrictedVersion] Does ESXi 4.1 CLI support VM start/stop ?

I can use vmware-cmd to list VMs installed on my ESXi 4.1 host but not to start or stop VM's.  Is this an intentionally crippled feature of the free ESXi 4.1 version?  Will I have same issue if I upgrade to ESXI 5 ? 

vmware-cmd --config /root/.fes_esxi /vmfs/volumes/4e144791-3e668866-e012-003048d391ed/uberSVN/uberSVN.vmx start soft
Operation cannot be performed:
SOAP Fault:
-----------
Fault string: fault.RestrictedVersion.summary
Fault detail: RestrictedVersionFault
OS: CentOS 5.2
vmware-cmd --version
vSphere SDK for Perl version: 4.1
Script './' version: 4.1

Thanks in advance for any tips or direction,

-Ed

0 Kudos
2 Replies
a_p_
Leadership
Leadership

For the free editions, the API is limited to read-only access. Same for all versions (except for a few builds where VMware forgot to ristrict the API)

André

0 Kudos
EdOfTheMountai1
Contributor
Contributor

Thanks for the fast concise reply.

>For the free editions, the API is limited to read-only access. Same for all versions (except for a few builds where VMware forgot to ristrict the API)

Just to confirm, start and stop are considered write operations and are restricted?

I fear it may be time to find out if our small company can afford ESX or look for alternatives.

-Ed

0 Kudos